--- old/usr/src/uts/i86pc/acpi_drv/Makefile	Mon Jan  7 13:06:56 2019
+++ new/usr/src/uts/i86pc/acpi_drv/Makefile	Mon Jan  7 13:06:56 2019
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #	This makefile drives the production of the acpi_drv 
@@ -65,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/acpi_video.o := SMOFF += all_func_returns
+
 LDFLAGS		+= -dy -N misc/acpica
 
 #
--- old/usr/src/uts/i86pc/acpidev/Makefile	Mon Jan  7 13:06:59 2019
+++ new/usr/src/uts/i86pc/acpidev/Makefile	Mon Jan  7 13:06:59 2019
@@ -24,7 +24,7 @@
 # Copyright (c) 2009, Intel Corporation.
 # All rights reserved.
 #
-# Copyright 2016, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the ACPI device configuration
 #	kernel module.
@@ -66,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/acpinex/Makefile	Mon Jan  7 13:07:01 2019
+++ new/usr/src/uts/i86pc/acpinex/Makefile	Mon Jan  7 13:07:01 2019
@@ -24,9 +24,9 @@
 # Copyright (c) 2009, Intel Corporation.
 # All rights reserved.
 #
-# Copyright 2016, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
-#	This makefile drives the production of the ACPI virtual nexus 
+#	This makefile drives the production of the ACPI virtual nexus
 #	kernel module.
 #
 #	intel platform dependent
@@ -64,6 +64,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/apix/Makefile	Mon Jan  7 13:07:02 2019
+++ new/usr/src/uts/i86pc/apix/Makefile	Mon Jan  7 13:07:02 2019
@@ -22,7 +22,7 @@
 # uts/i86pc/apix/Makefile
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2017, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the apix "mach"
 #	kernel module.
@@ -63,6 +63,11 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
+# needs work, real bug in apic_allocate_irq()
+$(OBJS_DIR)/mp_platform_common.o := SMOFF += indenting
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/dr/Makefile	Mon Jan  7 13:07:03 2019
+++ new/usr/src/uts/i86pc/dr/Makefile	Mon Jan  7 13:07:03 2019
@@ -25,10 +25,7 @@
 # Copyright (c) 2010, Intel Corporation.
 # All rights reserved.
 #
-#	This makefile drives the production of the dr driver module.
-#
-#	i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -72,6 +69,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-empty-body
 
+# needs work
+SMOFF += index_overflow
+
 #
 # module dependencies
 #
--- old/usr/src/uts/i86pc/i86hvm/Makefile.i86hvm	Mon Jan  7 13:07:04 2019
+++ new/usr/src/uts/i86pc/i86hvm/Makefile.i86hvm	Mon Jan  7 13:07:04 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 ROOT_HVM_DIR		= $(ROOT_PLAT_DIR)/i86hvm
 ROOT_HVM_MOD_DIR	= $(ROOT_HVM_DIR)/kernel
@@ -58,3 +59,6 @@
 #
 CPPFLAGS	+= -DXPV_HVM_DRIVER -D_SOLARIS
 ASFLAGS		+= -DXPV_HVM_DRIVER
+
+# needs work
+SMATCH=off
--- old/usr/src/uts/i86pc/isa/Makefile	Mon Jan  7 13:07:04 2019
+++ new/usr/src/uts/i86pc/isa/Makefile	Mon Jan  7 13:07:05 2019
@@ -23,7 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the ISA nexus driver
 #
@@ -58,6 +58,9 @@
 
 $(OBJS_DIR)/isa.o :=	CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/i8237A.o := SMOFF += indenting
+
 #
 # lint pass one enforcement
 #
--- old/usr/src/uts/i86pc/pcie/Makefile	Mon Jan  7 13:07:06 2019
+++ new/usr/src/uts/i86pc/pcie/Makefile	Mon Jan  7 13:07:06 2019
@@ -24,12 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the kernel/misc/pcie module
-#	for PCI-E Error handling support in PCI-E nexus drivers.
-#
-#	i86pc implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -69,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function # safe
 
+# needs work
+SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/pcplusmp/Makefile	Mon Jan  7 13:07:07 2019
+++ new/usr/src/uts/i86pc/pcplusmp/Makefile	Mon Jan  7 13:07:08 2019
@@ -24,7 +24,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2017, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -67,6 +67,11 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
+# needs work
+$(OBJS_DIR)/mp_platform_common.o := SMOFF += indenting
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/rootnex/Makefile	Mon Jan  7 13:07:11 2019
+++ new/usr/src/uts/i86pc/rootnex/Makefile	Mon Jan  7 13:07:11 2019
@@ -24,10 +24,7 @@
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the rootnex driver
-#
-#	i86pc implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/immu_qinv.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/unix/Makefile	Mon Jan  7 13:07:12 2019
+++ new/usr/src/uts/i86pc/unix/Makefile	Mon Jan  7 13:07:12 2019
@@ -18,15 +18,10 @@
 #
 # CDDL HEADER END
 #
-
-#
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of unix (and unix.o).
-#
-#	i86pc implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -162,6 +157,16 @@
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# false positives
+SMOFF += index_overflow
+
+# needs work
+SMOFF += all_func_returns,deref_check,signed
+
+$(OBJS_DIR)/fmsmb.o := SMOFF += indenting
+$(OBJS_DIR)/zutil.o := SMOFF += indenting
+$(OBJS_DIR)/bootrd_cpio.o := SMOFF += allocating_enough_data
+
 # Ensure that lint sees 'struct cpu' containing a fully declared
 # embedded 'struct machcpu'
 #
--- old/usr/src/uts/i86pc/uppc/Makefile	Mon Jan  7 13:07:13 2019
+++ new/usr/src/uts/i86pc/uppc/Makefile	Mon Jan  7 13:07:13 2019
@@ -23,7 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the uppc mach
 #	kernel module.
@@ -63,6 +63,9 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 # Depends on ACPI CA interpreter
 #
--- old/usr/src/uts/i86xpv/isa/Makefile	Mon Jan  7 13:07:18 2019
+++ new/usr/src/uts/i86xpv/isa/Makefile	Mon Jan  7 13:07:18 2019
@@ -23,7 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the ISA nexus driver
 #
@@ -58,6 +58,9 @@
 
 $(OBJS_DIR)/isa.o :=	CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/i8237A.o := SMOFF += indenting
+
 #
 # lint pass one enforcement
 #
--- old/usr/src/uts/i86xpv/unix/Makefile	Mon Jan  7 13:07:22 2019
+++ new/usr/src/uts/i86xpv/unix/Makefile	Mon Jan  7 13:07:22 2019
@@ -23,6 +23,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 #	This makefile drives the production of unix (and unix.o).
 #
 #	i86xpv implementation architecture dependent
@@ -148,6 +150,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 # Ensure that lint sees 'struct cpu' containing a fully declared
 # embedded 'struct machcpu'
 #
--- old/usr/src/uts/i86xpv/xnb/Makefile	Mon Jan  7 13:07:24 2019
+++ new/usr/src/uts/i86xpv/xnb/Makefile	Mon Jan  7 13:07:25 2019
@@ -23,12 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the xnb
-#	network driver support module.
-#
-#	i86xpv architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +73,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86xpv/xnf/Makefile	Mon Jan  7 13:07:26 2019
+++ new/usr/src/uts/i86xpv/xnf/Makefile	Mon Jan  7 13:07:27 2019
@@ -25,13 +25,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the xve
-#	network driver kernel module.
-#
-#	i86xpv architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -73,6 +67,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86xpv/xpv_psm/Makefile	Mon Jan  7 13:07:29 2019
+++ new/usr/src/uts/i86xpv/xpv_psm/Makefile	Mon Jan  7 13:07:29 2019
@@ -23,7 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -81,6 +81,9 @@
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMATCH=off
+
 #	Default build targets.
 #
 .KEEP_STATE:
--- old/usr/src/uts/i86xpv/xpv_uppc/Makefile	Mon Jan  7 13:07:32 2019
+++ new/usr/src/uts/i86xpv/xpv_uppc/Makefile	Mon Jan  7 13:07:32 2019
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the xpv_uppc mach
 #	kernel module.
@@ -64,6 +64,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 #
 # Depends on ACPI CA interpreter
--- old/usr/src/uts/intel/FSS/Makefile	Mon Jan  7 13:07:34 2019
+++ new/usr/src/uts/intel/FSS/Makefile	Mon Jan  7 13:07:34 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/FSS/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the FSS scheduling class
@@ -66,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/fss.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/aac/Makefile	Mon Jan  7 13:07:36 2019
+++ new/usr/src/uts/intel/aac/Makefile	Mon Jan  7 13:07:36 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the aac driver kernel module.
@@ -71,6 +72,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/aac.o := SMOFF += shift_to_zero
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ac97/Makefile	Mon Jan  7 13:07:39 2019
+++ new/usr/src/uts/intel/ac97/Makefile	Mon Jan  7 13:07:39 2019
@@ -24,7 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the ac97 support module.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -54,6 +54,9 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
+# needs work
+$(OBJS_DIR)/ac97.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/acpica/Makefile	Mon Jan  7 13:07:41 2019
+++ new/usr/src/uts/intel/acpica/Makefile	Mon Jan  7 13:07:41 2019
@@ -2,7 +2,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #
 #	This makefile drives the production of the ACPI CA services
@@ -54,6 +54,8 @@
 #
 CERRWARN += -erroff=E_STATEMENT_NOT_REACHED
 
+SMOFF += all_func_returns
+
 LINTFLAGS += -errchk=%none
 LINTFLAGS += -errhdr=%none
 LINTFLAGS += -erroff=%all
--- old/usr/src/uts/intel/agpgart/Makefile	Mon Jan  7 13:07:44 2019
+++ new/usr/src/uts/intel/agpgart/Makefile	Mon Jan  7 13:07:44 2019
@@ -2,8 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/agpgart/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the framework of agp protocol
@@ -39,6 +38,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/agpgart.o := SMOFF += deref_check
+
 #
 # For now, disable these lint checks; maintainers should endeavor
 # to investigate and remove these for maximum lint coverage.
--- old/usr/src/uts/intel/amd8111s/Makefile	Mon Jan  7 13:07:47 2019
+++ new/usr/src/uts/intel/amd8111s/Makefile	Mon Jan  7 13:07:47 2019
@@ -22,11 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the AMD8111
-#	Fast Ethernet (amd8111s) driver module in intel systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +58,9 @@
 #
 LDFLAGS		+= -dy -N misc/mac
 
+# seems wrong
+$(OBJS_DIR)/amd8111s_hw.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/arcmsr/Makefile	Mon Jan  7 13:07:49 2019
+++ new/usr/src/uts/intel/arcmsr/Makefile	Mon Jan  7 13:07:49 2019
@@ -21,6 +21,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -46,6 +47,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/arcmsr.o := SMOFF += deref_check
+
 #
 # Define targets.
 #
--- old/usr/src/uts/intel/arn/Makefile	Mon Jan  7 13:07:49 2019
+++ new/usr/src/uts/intel/arn/Makefile	Mon Jan  7 13:07:49 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 
 #
@@ -38,7 +39,7 @@
 #	Define the module and object file sets.
 #
 MODULE		= arn
-OBJECTS		= $(ARN_OBJS:%=$(OBJS_DIR)/%) 
+OBJECTS		= $(ARN_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(ARN_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 
@@ -65,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
+# various issues
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/arp/Makefile	Mon Jan  7 13:07:50 2019
+++ new/usr/src/uts/intel/arp/Makefile	Mon Jan  7 13:07:50 2019
@@ -24,10 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the arp driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -76,6 +73,9 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# false positive
+SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ath/Makefile	Mon Jan  7 13:07:50 2019
+++ new/usr/src/uts/intel/ath/Makefile	Mon Jan  7 13:07:50 2019
@@ -22,6 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This file makes the atheros driver for an intel system
@@ -66,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+$(OBJS_DIR)/ath_rate.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/atu/Makefile	Mon Jan  7 13:07:51 2019
+++ new/usr/src/uts/intel/atu/Makefile	Mon Jan  7 13:07:51 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the atu driver kernel module.
@@ -61,6 +62,9 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/atu.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/audio/Makefile	Mon Jan  7 13:07:51 2019
+++ new/usr/src/uts/intel/audio/Makefile	Mon Jan  7 13:07:51 2019
@@ -24,8 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the audio support module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -48,6 +47,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/audio_grc3.o := SMOFF += index_overflow
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/audioemu10k/Makefile	Mon Jan  7 13:07:51 2019
+++ new/usr/src/uts/intel/audioemu10k/Makefile	Mon Jan  7 13:07:51 2019
@@ -24,8 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the audioemu10k driver.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +61,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 $(OBJS_DIR)/%.o			:= CPPFLAGS += -I$(OBJS_DIR)
 $(OBJS_DIR)/%.ln		:= CPPFLAGS += -I$(OBJS_DIR)
 $(OBJS_DIR)/emu10k_gpr.h	:= ASM10KFLAGS = -v -0 -P gpr
--- old/usr/src/uts/intel/audiosolo/Makefile	Mon Jan  7 13:07:52 2019
+++ new/usr/src/uts/intel/audiosolo/Makefile	Mon Jan  7 13:07:52 2019
@@ -24,8 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the audiosolo driver.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -56,6 +55,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += assign_vs_compare
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/av1394/Makefile	Mon Jan  7 13:07:52 2019
+++ new/usr/src/uts/intel/av1394/Makefile	Mon Jan  7 13:07:52 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree.
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+$(OBJS_DIR)/av1394_isoch.o := SMOFF += signed
+
 #
 # depends on misc/s1394
 LDFLAGS		+= -dy -Nmisc/s1394
--- old/usr/src/uts/intel/bge/Makefile	Mon Jan  7 13:07:53 2019
+++ new/usr/src/uts/intel/bge/Makefile	Mon Jan  7 13:07:53 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the Broadcom BCM57xx
@@ -70,6 +71,9 @@
 CERRWARN       += -_gcc=-Wno-unused-variable
 CERRWARN       += -_gcc=-Wno-unused-function
 
+# 3rd party source
+SMOFF += all_func_returns
+
 #
 # Driver depends on MAC
 #
--- old/usr/src/uts/intel/blowfish/Makefile	Mon Jan  7 13:07:54 2019
+++ new/usr/src/uts/intel/blowfish/Makefile	Mon Jan  7 13:07:54 2019
@@ -18,6 +18,8 @@
 #
 # CDDL HEADER END
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
@@ -76,6 +78,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/blowfish_impl.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/bofi/Makefile	Mon Jan  7 13:07:54 2019
+++ new/usr/src/uts/intel/bofi/Makefile	Mon Jan  7 13:07:54 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the bofi driver 
@@ -70,6 +71,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/bofi.o := SMOFF += signed_integer_overflow_check,deref_check
+
 #
 # For now, disable these lint checks; maintainers should endeavor
 # to investigate and remove these for maximum lint coverage.
--- old/usr/src/uts/intel/bpf/Makefile	Mon Jan  7 13:07:55 2019
+++ new/usr/src/uts/intel/bpf/Makefile	Mon Jan  7 13:07:55 2019
@@ -22,10 +22,12 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 # uts/intel/bpf/Makefile
 #
 #
-#	This makefile drives the production of the bpf driver 
+#	This makefile drives the production of the bpf driver
 #	kernel module.
 #
 #	intel architecture dependent
@@ -73,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/bpf.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
@@ -88,7 +93,7 @@
 
 lint:		$(LINT_DEPS)
 
-modlintlib:	$(MODLINTLIB_DEPS) 
+modlintlib:	$(MODLINTLIB_DEPS)
 
 clean.lint:	$(CLEAN_LINT_DEPS)
 
--- old/usr/src/uts/intel/cardbus/Makefile	Mon Jan  7 13:07:55 2019
+++ new/usr/src/uts/intel/cardbus/Makefile	Mon Jan  7 13:07:55 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/cardbus/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the cardbus kernel module.
@@ -56,7 +55,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
-# 
+#
 # 	Include sun4u specific header files
 #
 INC_PATH        += -I$(UTSBASE)/sun4u -I$(UTSBASE)/sun4 -I$(UTSBASE)/i86pc
@@ -87,6 +86,8 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+SMOFF += indenting,no_if_block
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/chxge/Makefile	Mon Jan  7 13:07:56 2019
+++ new/usr/src/uts/intel/chxge/Makefile	Mon Jan  7 13:07:56 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the Chelsio N110
@@ -104,6 +105,11 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+SMOFF += indenting,all_func_returns,no_if_block
+
+# needs work
+$(OBJS_DIR)/sge.o := SMOFF += index_overflow
+
 #
 #
 #	Default build targets.
--- old/usr/src/uts/intel/clone/Makefile	Mon Jan  7 13:07:56 2019
+++ new/usr/src/uts/intel/clone/Makefile	Mon Jan  7 13:07:56 2019
@@ -25,12 +25,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the clone driver
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -58,6 +53,9 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
+# needs work
+$(OBJS_DIR)/clone.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/cmlb/Makefile	Mon Jan  7 13:07:56 2019
+++ new/usr/src/uts/intel/cmlb/Makefile	Mon Jan  7 13:07:56 2019
@@ -23,12 +23,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the cmlb "misc"
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -80,6 +77,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/cmlb.o := SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/cpqary3/Makefile	Mon Jan  7 13:07:57 2019
+++ new/usr/src/uts/intel/cpqary3/Makefile	Mon Jan  7 13:07:57 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright 2013 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -46,6 +46,8 @@
 #
 LDFLAGS		+= -dy -Nmisc/scsi
 
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ctfs/Makefile	Mon Jan  7 13:07:57 2019
+++ new/usr/src/uts/intel/ctfs/Makefile	Mon Jan  7 13:07:57 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the contract file system
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/ctfs_root.o := SMOFF += signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/cxgbe/t4nex/Makefile	Mon Jan  7 13:07:57 2019
+++ new/usr/src/uts/intel/cxgbe/t4nex/Makefile	Mon Jan  7 13:07:57 2019
@@ -12,6 +12,7 @@
 #
 # Copyright (c) 2013 by Chelsio Communications, Inc. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the Chelsio Terminator 4 10G Ethernet
@@ -90,6 +91,9 @@
 LINTTAGS += -erroff=E_CASE_FALLTHRU
 LINTTAGS += -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+SMATCH=off
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/dadk/Makefile	Mon Jan  7 13:07:58 2019
+++ new/usr/src/uts/intel/dadk/Makefile	Mon Jan  7 13:07:58 2019
@@ -24,11 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the dadk "misc"
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -75,6 +71,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += all_func_returns,signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/daplt/Makefile	Mon Jan  7 13:07:58 2019
+++ new/usr/src/uts/intel/daplt/Makefile	Mon Jan  7 13:07:58 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/daplt.o := SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dca/Makefile	Mon Jan  7 13:07:59 2019
+++ new/usr/src/uts/intel/dca/Makefile	Mon Jan  7 13:07:59 2019
@@ -25,6 +25,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the DCA kCF provider.
@@ -40,7 +41,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= dca	
+MODULE		= dca
 OBJECTS		= $(DCA_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(DCA_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -69,6 +70,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/dca_rsa.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/devfs/Makefile	Mon Jan  7 13:07:59 2019
+++ new/usr/src/uts/intel/devfs/Makefile	Mon Jan  7 13:07:59 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # uts/intel/devfs/Makefile
@@ -51,6 +52,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/devfs_vnops.o := SMOFF += signed
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/devinfo/Makefile	Mon Jan  7 13:08:00 2019
+++ new/usr/src/uts/intel/devinfo/Makefile	Mon Jan  7 13:08:00 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the devinfo kernel
@@ -65,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
 
+# needs work
+$(OBJS_DIR)/devinfo.o := SMOFF += deref_check,strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dld/Makefile	Mon Jan  7 13:08:02 2019
+++ new/usr/src/uts/intel/dld/Makefile	Mon Jan  7 13:08:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +72,10 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/dld_proto.o := SMOFF += signed
+$(OBJS_DIR)/dld_drv.o := SMOFF += cast_assign
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dls/Makefile	Mon Jan  7 13:08:02 2019
+++ new/usr/src/uts/intel/dls/Makefile	Mon Jan  7 13:08:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -67,6 +68,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/dls_link.o := SMOFF += all_func_returns
+
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/dnet/Makefile	Mon Jan  7 13:08:04 2019
+++ new/usr/src/uts/intel/dnet/Makefile	Mon Jan  7 13:08:04 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the dnet
-#	network driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -67,6 +63,10 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/dnet.o := SMOFF += index_overflow
+$(OBJS_DIR)/dnet_mii.o := SMOFF += all_func_returns
+
 LDFLAGS		+= -dy -N misc/mac
 
 #
--- old/usr/src/uts/intel/doorfs/Makefile	Mon Jan  7 13:08:07 2019
+++ new/usr/src/uts/intel/doorfs/Makefile	Mon Jan  7 13:08:07 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the doorfs driver kernel module.
@@ -76,6 +77,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/door_sys.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/drm/Makefile	Mon Jan  7 13:08:09 2019
+++ new/usr/src/uts/intel/drm/Makefile	Mon Jan  7 13:08:09 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the DRM (Direct Rendering
@@ -56,6 +57,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+SMOFF += precedence,indenting,deref_check,all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/dtrace/Makefile	Mon Jan  7 13:08:11 2019
+++ new/usr/src/uts/intel/dtrace/Makefile	Mon Jan  7 13:08:11 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 UTSBASE	= ../..
 
@@ -49,6 +50,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/dtrace.o := SMOFF += signed_integer_overflow_check,deref_check
+
 CPPFLAGS	+= -I$(SRC)/common/util
 
 ALL_TARGET	= $(BINARY) $(SRC_CONFILE)
--- old/usr/src/uts/intel/e1000g/Makefile	Mon Jan  7 13:08:12 2019
+++ new/usr/src/uts/intel/e1000g/Makefile	Mon Jan  7 13:08:12 2019
@@ -22,13 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/e1000g/Makefile
-#
-#	This makefile drives the production of the iprb
-#	network driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -71,6 +65,8 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
+SMOFF += all_func_returns,indenting,shift_to_zero
+
 LINTTAGS	+= -erroff=E_CONSTANT_CONDITION
 
 #
--- old/usr/src/uts/intel/ecc/Makefile	Mon Jan  7 13:08:15 2019
+++ new/usr/src/uts/intel/ecc/Makefile	Mon Jan  7 13:08:15 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the ECc kef provider.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -76,6 +72,12 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# false positive
+$(OBJS_DIR)/ecdecode.o := SMOFF += assign_vs_compare
+$(OBJS_DIR)/ec.o := SMOFF += assign_vs_compare
+
+SMOFF += indenting,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ehci/Makefile	Mon Jan  7 13:08:18 2019
+++ new/usr/src/uts/intel/ehci/Makefile	Mon Jan  7 13:08:18 2019
@@ -22,9 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the ehci driver kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -48,6 +46,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMOFF += deref_check,shift_to_zero
+
 #
 # depends on misc/usba
 #
--- old/usr/src/uts/intel/eibnx/Makefile	Mon Jan  7 13:08:20 2019
+++ new/usr/src/uts/intel/eibnx/Makefile	Mon Jan  7 13:08:20 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the EoIB Nexus driver
@@ -77,6 +78,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/enx_ibt.o := SMOFF += deref_check
+
 #
 # Default build targets
 #
--- old/usr/src/uts/intel/emlxs/Makefile	Mon Jan  7 13:08:22 2019
+++ new/usr/src/uts/intel/emlxs/Makefile	Mon Jan  7 13:08:22 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 # This makefile drives the production of the emlxs driver kernel module.
 #
@@ -95,6 +96,11 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+SMOFF += indenting,deref_check,all_func_returns
+
+# seems definitely wrong
+$(OBJS_DIR)/emlxs_fcf.o := SMOFF += logical_instead_of_bitwise
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/emul64/Makefile	Mon Jan  7 13:08:23 2019
+++ new/usr/src/uts/intel/emul64/Makefile	Mon Jan  7 13:08:23 2019
@@ -21,6 +21,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the emul64 kernel
 #	driver to testing hotplugging operations
@@ -70,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += indenting,shift_to_zero
+
 #
 # Depends on scsi
 #
--- old/usr/src/uts/intel/eoib/Makefile	Mon Jan  7 13:08:26 2019
+++ new/usr/src/uts/intel/eoib/Makefile	Mon Jan  7 13:08:26 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the EoIB Nexus driver
@@ -66,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/eib_ibt.o := SMOFF += deref_check
+
 #
 # Depends on misc/ibtl
 #
--- old/usr/src/uts/intel/fcip/Makefile	Mon Jan  7 13:08:28 2019
+++ new/usr/src/uts/intel/fcip/Makefile	Mon Jan  7 13:08:28 2019
@@ -23,10 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of fcip driver kernel module.
-#
-# i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fcoei/Makefile	Mon Jan  7 13:08:30 2019
+++ new/usr/src/uts/intel/fcoei/Makefile	Mon Jan  7 13:08:30 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the fcoei driver for 
-#	LEADVILLE.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -40,6 +39,9 @@
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 CONF_SRCDIR	= $(UTSBASE)/common/io/fibre-channel/fca/fcoei
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Include common rules.
 #
--- old/usr/src/uts/intel/fcoet/Makefile	Mon Jan  7 13:08:33 2019
+++ new/usr/src/uts/intel/fcoet/Makefile	Mon Jan  7 13:08:33 2019
@@ -22,8 +22,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# This makefile drives the production of the fcoet driver for COMSTAR.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -39,6 +38,9 @@
 LINTS		= $(FCOET_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 
+# needs work
+SMOFF += all_func_returns,shift_to_zero
+
 #
 #	Include common rules.
 #
--- old/usr/src/uts/intel/fcp/Makefile	Mon Jan  7 13:08:36 2019
+++ new/usr/src/uts/intel/fcp/Makefile	Mon Jan  7 13:08:36 2019
@@ -23,8 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of fcp driver kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -69,6 +68,8 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fct/Makefile	Mon Jan  7 13:08:38 2019
+++ new/usr/src/uts/intel/fct/Makefile	Mon Jan  7 13:08:38 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the fct driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +73,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fctl/Makefile	Mon Jan  7 13:08:40 2019
+++ new/usr/src/uts/intel/fctl/Makefile	Mon Jan  7 13:08:41 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident "@(#)Makefile 1.10	08/07/25 SMI"
-#
-# This makefile drives the production of fctl driver kernel module.
-#
-# i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -70,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/fctl.o := SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fd/Makefile	Mon Jan  7 13:08:43 2019
+++ new/usr/src/uts/intel/fd/Makefile	Mon Jan  7 13:08:43 2019
@@ -24,14 +24,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the floppy driver
-#
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -72,6 +67,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/fd.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fp/Makefile	Mon Jan  7 13:08:45 2019
+++ new/usr/src/uts/intel/fp/Makefile	Mon Jan  7 13:08:45 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident "@(#)Makefile 1.10	08/07/25 SMI"
-#
-# This makefile drives the production of fp driver kernel module.
-#
-# i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -79,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/fp.o := SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/gen_drv/Makefile	Mon Jan  7 13:08:48 2019
+++ new/usr/src/uts/intel/gen_drv/Makefile	Mon Jan  7 13:08:48 2019
@@ -22,13 +22,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the gen_drv kernel
-#	driver to testing hotplugging operations
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -64,6 +60,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+$(OBJS_DIR)/gen_drv.o := SMOFF += indenting,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/genunix/Makefile	Mon Jan  7 13:08:49 2019
+++ new/usr/src/uts/intel/genunix/Makefile	Mon Jan  7 13:08:49 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the generic
@@ -110,6 +111,24 @@
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# false positives
+SMOFF += index_overflow
+$(OBJS_DIR)/seg_vn.o := SMOFF += deref_check
+$(OBJS_DIR)/ddi_intr_irm.o := SMOFF += deref_check
+
+# need work still
+SMOFF += signed,indenting,all_func_returns
+$(OBJS_DIR)/clock_highres.o := SMOFF += signed_integer_overflow_check
+$(OBJS_DIR)/evchannels.o := SMOFF += allocating_enough_data
+$(OBJS_DIR)/klpd.o := SMOFF += cast_assign
+$(OBJS_DIR)/lookup.o := SMOFF += strcpy_overflow
+$(OBJS_DIR)/process.o := SMOFF += or_vs_and
+$(OBJS_DIR)/sunpci.o := SMOFF += deref_check
+$(OBJS_DIR)/timers.o := SMOFF += signed_integer_overflow_check
+
+# definitely wrong
+$(OBJS_DIR)/acl_common.o := SMOFF += or_vs_and
+
 #
 # Ensure that lint sees 'struct cpu' containing a fully declared
 # embedded 'struct machcpu'
--- old/usr/src/uts/intel/hermon/Makefile	Mon Jan  7 13:08:52 2019
+++ new/usr/src/uts/intel/hermon/Makefile	Mon Jan  7 13:08:52 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the hermon InfiniBand module
-#
-#	intel architecture dependent
-#
-# uts/intel/hermon/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +73,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hme/Makefile	Mon Jan  7 13:08:54 2019
+++ new/usr/src/uts/intel/hme/Makefile	Mon Jan  7 13:08:54 2019
@@ -24,10 +24,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the hme driver
-#	kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -63,6 +62,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/hme.o := SMOFF += indenting,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hook/Makefile	Mon Jan  7 13:08:56 2019
+++ new/usr/src/uts/intel/hook/Makefile	Mon Jan  7 13:08:57 2019
@@ -24,6 +24,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the hook driver kernel module.
@@ -52,6 +53,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/hook.o := SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/hpcsvc/Makefile	Mon Jan  7 13:08:58 2019
+++ new/usr/src/uts/intel/hpcsvc/Makefile	Mon Jan  7 13:08:58 2019
@@ -24,15 +24,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the hpcsvc "misc"
-#	kernel module.
-#
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -65,6 +59,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/hpcsvc.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hsfs/Makefile	Mon Jan  7 13:08:59 2019
+++ new/usr/src/uts/intel/hsfs/Makefile	Mon Jan  7 13:08:59 2019
@@ -25,11 +25,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the hsfs file system
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -79,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/hsfs_vnops.o := SMOFF += 64bit_shift,signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hxge/Makefile	Mon Jan  7 13:09:00 2019
+++ new/usr/src/uts/intel/hxge/Makefile	Mon Jan  7 13:09:00 2019
@@ -22,10 +22,9 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the Sun
-#	10G hxge Ethernet leaf driver kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -87,6 +86,8 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+SMOFF += deref_check,logical_instead_of_bitwise
+
 #
 #	Driver depends on mac & IP
 #
--- old/usr/src/uts/intel/i40e/Makefile	Mon Jan  7 13:09:01 2019
+++ new/usr/src/uts/intel/i40e/Makefile	Mon Jan  7 13:09:01 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 UTSBASE = ../..
@@ -43,6 +43,9 @@
 #
 CERRWARN   += -_cc=-erroff=E_ENUM_VAL_OVERFLOWS_INT_MAX
 
+# 3rd party code
+SMOFF += all_func_returns
+
 LDFLAGS		+= -dy -N misc/mac
 
 .KEEP_STATE:
--- old/usr/src/uts/intel/i8042/Makefile	Mon Jan  7 13:09:02 2019
+++ new/usr/src/uts/intel/i8042/Makefile	Mon Jan  7 13:09:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the i8042 nexus driver
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/i8042.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/i915/Makefile	Mon Jan  7 13:09:02 2019
+++ new/usr/src/uts/intel/i915/Makefile	Mon Jan  7 13:09:02 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # uts/intel/drm/Makefile
@@ -59,6 +60,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMATCH=off
+
 #
 #	Re-define targets
 #
--- old/usr/src/uts/intel/ibcm/Makefile	Mon Jan  7 13:09:03 2019
+++ new/usr/src/uts/intel/ibcm/Makefile	Mon Jan  7 13:09:03 2019
@@ -22,11 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/ibcm/Makefile
-#
-#	This makefile drives the production of the ibcm kernel
-#	module. SPARC architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -70,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+SMATCH=off
+
 #
 #	depends on misc/ibtl and misc/ibmf
 #
--- old/usr/src/uts/intel/ibmf/Makefile	Mon Jan  7 13:09:04 2019
+++ new/usr/src/uts/intel/ibmf/Makefile	Mon Jan  7 13:09:04 2019
@@ -22,13 +22,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-#	This makefile drives the production of the ibmf kernel module.
 #
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -75,6 +71,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ibp/Makefile	Mon Jan  7 13:09:05 2019
+++ new/usr/src/uts/intel/ibp/Makefile	Mon Jan  7 13:09:05 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +62,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ibtl/Makefile	Mon Jan  7 13:09:07 2019
+++ new/usr/src/uts/intel/ibtl/Makefile	Mon Jan  7 13:09:07 2019
@@ -22,14 +22,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the ibtl kernel module.
-#
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -58,9 +53,9 @@
 #	Overrides.
 #
 
-# 
-# lint pass one enforcement 
-# 
+#
+# lint pass one enforcement
+#
 CFLAGS += $(CCVERBOSE)
 
 #
@@ -80,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+$(OBJS_DIR)/ibtl_impl.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/icmp/Makefile	Mon Jan  7 13:09:08 2019
+++ new/usr/src/uts/intel/icmp/Makefile	Mon Jan  7 13:09:08 2019
@@ -23,6 +23,7 @@
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the icmp IP driver
 #
@@ -77,6 +78,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+$(OBJS_DIR)/icmpddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/icmp6/Makefile	Mon Jan  7 13:09:11 2019
+++ new/usr/src/uts/intel/icmp6/Makefile	Mon Jan  7 13:09:11 2019
@@ -23,12 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the icmp6 IP driver
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -61,6 +56,8 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip -Ndrv/ip6 -Ndrv/icmp
 
+# needs work
+$(OBJS_DIR)/icmp6ddi.o := SMOFF += index_overflow
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/idm/Makefile	Mon Jan  7 13:09:11 2019
+++ new/usr/src/uts/intel/idm/Makefile	Mon Jan  7 13:09:11 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the idm kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -66,6 +62,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #	Include
 INC_PATH	+= -I$(SRC)/common/hdcrc
 
--- old/usr/src/uts/intel/igb/Makefile	Mon Jan  7 13:09:12 2019
+++ new/usr/src/uts/intel/igb/Makefile	Mon Jan  7 13:09:12 2019
@@ -22,13 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/igb/Makefile
-#
-#	This makefile drives the production of the igb
-#	network driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -58,6 +52,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
+# needs work
+SMOFF += all_func_returns,indenting
+
 CFLAGS		+= -I$(UTSBASE)/common/io/e1000api
 CFLAGS		+= -I$(UTSBASE)/common/io/igb
 
--- old/usr/src/uts/intel/intel_nb5000/Makefile	Mon Jan  7 13:09:13 2019
+++ new/usr/src/uts/intel/intel_nb5000/Makefile	Mon Jan  7 13:09:13 2019
@@ -21,6 +21,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Intel 5000/5100/5400/7300 chipset memory controller hub (MCH) module
@@ -63,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #       Default build targets.
 #
--- old/usr/src/uts/intel/ip/Makefile	Mon Jan  7 13:09:14 2019
+++ new/usr/src/uts/intel/ip/Makefile	Mon Jan  7 13:09:14 2019
@@ -22,8 +22,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 #
-#	This makefile drives the production of the ip driver 
+#	This makefile drives the production of the ip driver
 #	kernel module.
 #
 #	intel implementation architecture dependent
@@ -68,6 +69,19 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# false positives
+SMOFF += index_overflow
+
+# need work still
+$(OBJS_DIR)/igmp.o := SMOFF += shift_to_zero
+$(OBJS_DIR)/tnet.o := SMOFF += shift_to_zero
+SMOFF += signed,all_func_returns
+SMOFF += signed_integer_overflow_check
+
+# definitely wrong
+$(OBJS_DIR)/ip_input.o := SMOFF += or_vs_and
+$(OBJS_DIR)/ip6_input.o := SMOFF += or_vs_and
+
 #
 # To get the BPF header files included by ipnet.h
 #
@@ -78,7 +92,7 @@
 # swrand as it needs random numbers early on during boot before
 # kCF subsystem can load swrand.
 #
-LDFLAGS		+= -dy -Nmisc/md5 -Ncrypto/swrand -Nmisc/hook -Nmisc/neti 
+LDFLAGS		+= -dy -Nmisc/md5 -Ncrypto/swrand -Nmisc/hook -Nmisc/neti
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/intel/ip6/Makefile	Mon Jan  7 13:09:15 2019
+++ new/usr/src/uts/intel/ip6/Makefile	Mon Jan  7 13:09:15 2019
@@ -23,13 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the ip6 driver 
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +56,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip
 
+# needs work
+$(OBJS_DIR)/ip6ddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipf/Makefile	Mon Jan  7 13:09:16 2019
+++ new/usr/src/uts/intel/ipf/Makefile	Mon Jan  7 13:09:16 2019
@@ -22,13 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/ipf/Makefile
-#
-#	This makefile drives the production of the ipf driver 
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +72,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipgpc/Makefile	Mon Jan  7 13:09:17 2019
+++ new/usr/src/uts/intel/ipgpc/Makefile	Mon Jan  7 13:09:17 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the IP generic packet classifier
@@ -72,6 +73,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/filters.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipsecah/Makefile	Mon Jan  7 13:09:17 2019
+++ new/usr/src/uts/intel/ipsecah/Makefile	Mon Jan  7 13:09:18 2019
@@ -23,9 +23,10 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the ipsecah driver 
+#	This makefile drives the production of the ipsecah driver
 #	kernel module.
 #
 #	intel implementation architecture dependent
@@ -76,6 +77,11 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/ipsecahddi.o := SMOFF += index_overflow
+$(OBJS_DIR)/ipsecah.o := SMOFF += deref_check
+$(OBJS_DIR)/sadb.o := SMOFF += signed_integer_overflow_check,deref_check,indenting,shift_to_zero
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipsecesp/Makefile	Mon Jan  7 13:09:18 2019
+++ new/usr/src/uts/intel/ipsecesp/Makefile	Mon Jan  7 13:09:18 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the ipsecesp driver 
@@ -74,6 +75,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/ipsecespddi.o := SMOFF += index_overflow
+$(OBJS_DIR)/ipsecesp.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipw/Makefile	Mon Jan  7 13:09:19 2019
+++ new/usr/src/uts/intel/ipw/Makefile	Mon Jan  7 13:09:19 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the ipw driver kernel module.
@@ -37,7 +38,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= ipw 
+MODULE		= ipw
 OBJECTS		= $(IPW_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(IPW_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -52,6 +53,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/ipw2100.o := SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/iscsi/Makefile	Mon Jan  7 13:09:19 2019
+++ new/usr/src/uts/intel/iscsi/Makefile	Mon Jan  7 13:09:19 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of iSCSI initiator Driver
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/iscsit/Makefile	Mon Jan  7 13:09:19 2019
+++ new/usr/src/uts/intel/iscsit/Makefile	Mon Jan  7 13:09:19 2019
@@ -21,14 +21,11 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the iscsit pseudo-driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
-
-
 UTSBASE	= ../..
 
 ARCHDIR:sh = cd ..; basename `pwd`
@@ -66,6 +63,10 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += cast_assign,strcpy_overflow
+
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/iser/Makefile	Mon Jan  7 13:09:20 2019
+++ new/usr/src/uts/intel/iser/Makefile	Mon Jan  7 13:09:20 2019
@@ -22,6 +22,8 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -45,6 +47,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/iser_ib.o := SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/iwi/Makefile	Mon Jan  7 13:09:21 2019
+++ new/usr/src/uts/intel/iwi/Makefile	Mon Jan  7 13:09:21 2019
@@ -22,15 +22,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
-# This makefile drives the production of the ipw driver kernel module.
-#
-# i86pc architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -38,7 +32,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= iwi 
+MODULE		= iwi
 OBJECTS		= $(IWI_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(IWI_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -56,8 +50,11 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CPPFLAGS	+= -I. -D_KERNEL
-LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip 
+LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
+# needs work
+$(OBJS_DIR)/ipw2200.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/iwk/Makefile	Mon Jan  7 13:09:22 2019
+++ new/usr/src/uts/intel/iwk/Makefile	Mon Jan  7 13:09:22 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the iwk driver kernel module.
@@ -37,7 +38,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= iwk 
+MODULE		= iwk
 OBJECTS		= $(IWK_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(IWK_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -61,11 +62,14 @@
 
 CPPFLAGS	+= -I. -D_KERNEL -DIWL=4965
 
-LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip 
+LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/iwk2.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/iwn/Makefile	Mon Jan  7 13:09:24 2019
+++ new/usr/src/uts/intel/iwn/Makefile	Mon Jan  7 13:09:24 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2016 Hans Rosenfeld <rosenfeld@grumpf.hope-2000.org>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the iwn driver kernel module.
@@ -55,6 +56,9 @@
 
 LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ixgbe/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/ixgbe/Makefile	Mon Jan  7 13:09:25 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 # uts/intel/ixgbe/Makefile
 #
@@ -60,6 +61,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
+# 3rd party code
+SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/kcf/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/kcf/Makefile	Mon Jan  7 13:09:25 2019
@@ -22,11 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the Kernel Cryptographic
-#	Framework core module.
-#
-#	Intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += all_func_returns,signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/keysock/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/keysock/Makefile	Mon Jan  7 13:09:25 2019
@@ -23,9 +23,10 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the keysock driver 
+#	This makefile drives the production of the keysock driver
 #	kernel module.
 #
 #	intel implementation architecture dependent
@@ -75,6 +76,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+$(OBJS_DIR)/keysockddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/kgssapi/Makefile	Mon Jan  7 13:09:25 2019
+++ new/usr/src/uts/intel/kgssapi/Makefile	Mon Jan  7 13:09:25 2019
@@ -25,11 +25,9 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the kgssapi kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	intel implementation architecture dependent
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -70,6 +68,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/gssd_clnt_stubs.o := SMOFF += indenting,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/kiconv_ja/Makefile	Mon Jan  7 13:09:26 2019
+++ new/usr/src/uts/intel/kiconv_ja/Makefile	Mon Jan  7 13:09:26 2019
@@ -24,12 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the kiconv_ja kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -68,6 +63,9 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
+# smatch not happy with this source
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/klmmod/Makefile	Mon Jan  7 13:09:26 2019
+++ new/usr/src/uts/intel/klmmod/Makefile	Mon Jan  7 13:09:26 2019
@@ -24,11 +24,7 @@
 #
 # Copyright (c) 2012 by Delphix. All rights reserved.
 #
-#	This makefile drives the production of the network lock manager server
-#	specific kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -67,6 +63,9 @@
 #
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/nlm_service.o := SMOFF += signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/kmech_krb5/Makefile	Mon Jan  7 13:09:27 2019
+++ new/usr/src/uts/intel/kmech_krb5/Makefile	Mon Jan  7 13:09:27 2019
@@ -24,6 +24,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #	This makefile drives the production of the gl_kmech_krb5 kernel module.
 #
@@ -73,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/llc1/Makefile	Mon Jan  7 13:09:28 2019
+++ new/usr/src/uts/intel/llc1/Makefile	Mon Jan  7 13:09:28 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the Sound-Blaster driver 
@@ -68,6 +69,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/llc1.o := SMOFF += no_if_block,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mac/Makefile	Mon Jan  7 13:09:28 2019
+++ new/usr/src/uts/intel/mac/Makefile	Mon Jan  7 13:09:28 2019
@@ -22,11 +22,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	This makefile drives the production of the mac driver 
-#	kernel module.
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -67,6 +65,13 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+SMOFF += all_func_returns
+$(OBJS_DIR)/mac.o := SMOFF += deref_check
+$(OBJS_DIR)/mac_util.o := SMOFF += signed
+
+# false positive
+$(OBJS_DIR)/mac_sched.o := SMOFF += assign_vs_compare
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mega_sas/Makefile	Mon Jan  7 13:09:28 2019
+++ new/usr/src/uts/intel/mega_sas/Makefile	Mon Jan  7 13:09:28 2019
@@ -21,6 +21,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # uts/intel/mega_sas/Makefile
@@ -63,6 +64,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/megaraid_sas.o := SMOFF += snprintf_overflow,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mii/Makefile	Mon Jan  7 13:09:29 2019
+++ new/usr/src/uts/intel/mii/Makefile	Mon Jan  7 13:09:29 2019
@@ -24,8 +24,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the mii support module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -57,6 +56,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mpt_sas/Makefile	Mon Jan  7 13:09:30 2019
+++ new/usr/src/uts/intel/mpt_sas/Makefile	Mon Jan  7 13:09:30 2019
@@ -21,10 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the mpt_sas driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -59,6 +56,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/mptsas_raid.o := SMOFF += index_overflow
+$(OBJS_DIR)/mptsas.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mr_sas/Makefile	Mon Jan  7 13:09:31 2019
+++ new/usr/src/uts/intel/mr_sas/Makefile	Mon Jan  7 13:09:31 2019
@@ -23,10 +23,7 @@
 #
 # uts/intel/mr_sas/Makefile
 #
-#	This makefile drives the production of the mr_sas driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -63,6 +60,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/mwl/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/mwl/Makefile	Mon Jan  7 13:09:32 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the rwd driver kernel module.
@@ -67,6 +68,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+SMOFF += return_cast
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/myri10ge/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/myri10ge/Makefile	Mon Jan  7 13:09:32 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -55,7 +56,8 @@
 #
 LINTTAGS  += -DSOLARIS_S11 -erroff=E_STATIC_UNUSED
 
-#COPTIMIZE = -xO4
+# needs work
+SMATCH=off
 
 INC_PATH  += -I$(UTSBASE)/common/io/myri10ge -I$(UTSBASE)/common/io/myri10ge/firmware
 
--- old/usr/src/uts/intel/nca/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/nca/Makefile	Mon Jan  7 13:09:32 2019
@@ -24,13 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the nca driver 
-#	kernel module.
-#
-#	Intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +65,9 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+$(OBJS_DIR)/ncaddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/net80211/Makefile	Mon Jan  7 13:09:32 2019
+++ new/usr/src/uts/intel/net80211/Makefile	Mon Jan  7 13:09:32 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This file makes the atheros driver for an intel system
@@ -69,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nfs/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nfs/Makefile	Mon Jan  7 13:09:33 2019
@@ -25,11 +25,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the nfs file system
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -90,6 +86,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nfs_dlboot/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nfs_dlboot/Makefile	Mon Jan  7 13:09:33 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the dlboot_proto
@@ -75,6 +76,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/nfs_dlinet.o := SMOFF += indenting,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nfssrv/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nfssrv/Makefile	Mon Jan  7 13:09:33 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the nfs server-specific
@@ -82,6 +83,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nge/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nge/Makefile	Mon Jan  7 13:09:33 2019
@@ -22,9 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the nvidia toe/ge
-#	driver.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +72,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nsmb/Makefile	Mon Jan  7 13:09:33 2019
+++ new/usr/src/uts/intel/nsmb/Makefile	Mon Jan  7 13:09:33 2019
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	intel architecture dependent
@@ -99,6 +100,12 @@
 LGREP.nsmb =	egrep -v ' ignored: (mb_init|mb_put|md_get)'
 LTAIL	+=	2>&1 | $(LGREP.2) | $(LGREP.nsmb) || true
 
+# same for smatch
+SMOFF += all_func_returns
+
+# needs work
+SMOFF += signed,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ntxn/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/ntxn/Makefile	Mon Jan  7 13:09:34 2019
@@ -23,10 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the Neterion Xframe
-#	10G Ethernet (XGE) driver module in x86 systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -73,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #
 #	Default build targets.
--- old/usr/src/uts/intel/nv_sata/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/nv_sata/Makefile	Mon Jan  7 13:09:34 2019
@@ -23,6 +23,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -75,6 +77,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/nv_sata.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/nxge/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/nxge/Makefile	Mon Jan  7 13:09:34 2019
@@ -22,11 +22,9 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	This makefile drives the production of the Sun NIU
-#	10G/1G Ethernet leaf driver kernel module.
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -92,6 +90,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Driver depends on mac & IP
 #
--- old/usr/src/uts/intel/objfs/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/objfs/Makefile	Mon Jan  7 13:09:34 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the object file system
@@ -72,6 +73,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/objfs_vfs.o := SMOFF += signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/openeepr/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/openeepr/Makefile	Mon Jan  7 13:09:34 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the openeepr driver
@@ -68,6 +69,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/openprom.o := SMOFF += cast_assign,strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcfs/Makefile	Mon Jan  7 13:09:34 2019
+++ new/usr/src/uts/intel/pcfs/Makefile	Mon Jan  7 13:09:34 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the DOS file system
@@ -68,6 +69,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMATCH=off
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/pcic/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcic/Makefile	Mon Jan  7 13:09:35 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the PCIC style PCMCIA adapter
@@ -78,6 +79,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += no_if_block,indenting,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcicfg/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcicfg/Makefile	Mon Jan  7 13:09:35 2019
@@ -23,12 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the kernel/misc/pcicfg module
-#	(PCI configurator module) for PCI hotplug support in PCI nexus
-#	drivers.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -80,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/pcicfg.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcieb/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcieb/Makefile	Mon Jan  7 13:09:35 2019
@@ -24,9 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the pcieb driver kernel
-#	module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -77,6 +75,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcihp/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcihp/Makefile	Mon Jan  7 13:09:35 2019
@@ -23,13 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the kernel/misc/pcihp module
-#	for PCI hotplug support in PCI nexus drivers.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -69,6 +63,9 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pcmcia/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pcmcia/Makefile	Mon Jan  7 13:09:35 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This file makes the pcmcia nexus for an intel system
@@ -83,6 +84,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/pmcs/Makefile	Mon Jan  7 13:09:35 2019
+++ new/usr/src/uts/intel/pmcs/Makefile	Mon Jan  7 13:09:35 2019
@@ -20,11 +20,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the pmcs driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -72,6 +68,8 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/portfs/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/portfs/Makefile	Mon Jan  7 13:09:36 2019
@@ -23,7 +23,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	This makefile drives the production of the portfs driver kernel module.
 #
@@ -75,6 +77,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/port_fop.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/procfs/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/procfs/Makefile	Mon Jan  7 13:09:36 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the procfs file system
@@ -76,6 +77,15 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
+
+# needs work
+$(OBJS_DIR)/prsubr.o := SMOFF += all_func_returns
+$(OBJS_DIR)/prcontrol.o := SMOFF += all_func_returns
+$(OBJS_DIR)/prioctl.o := SMOFF += signed
+
+# false positives
+$(OBJS_DIR)/prvnops.o := SMOFF += strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/qede/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/qede/Makefile	Mon Jan  7 13:09:36 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 UTSBASE = ../..
@@ -48,6 +48,12 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# 3rd party module
+SMOFF += all_func_returns,indenting,no_if_block,deref_check,testing_index_after_use
+
+# real bug in qede_multicast()
+$(OBJS_DIR)/qede_gld.o := SMOFF += assign_vs_compare
+
 ALL_TARGET	= $(BINARY) $(CONFMOD)
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
--- old/usr/src/uts/intel/qlc/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/qlc/Makefile	Mon Jan  7 13:09:36 2019
@@ -22,7 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of qlc driver kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -81,6 +82,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/qlge/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/qlge/Makefile	Mon Jan  7 13:09:36 2019
@@ -22,7 +22,8 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of the qlge driver kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -66,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/qlge.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rdsv3/Makefile	Mon Jan  7 13:09:36 2019
+++ new/usr/src/uts/intel/rdsv3/Makefile	Mon Jan  7 13:09:36 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -65,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/rge/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rge/Makefile	Mon Jan  7 13:09:37 2019
@@ -22,10 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the Realtek
-#	Gigabit Ethernet (BGE) driver module in intel systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +68,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# looks like a real bug in rge_phy_update() !
+$(OBJS_DIR)/rge_chip.o := SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rpcib/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rpcib/Makefile	Mon Jan  7 13:09:37 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the kernel 
@@ -77,6 +78,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rpcmod/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rpcmod/Makefile	Mon Jan  7 13:09:37 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the rpcmod streams kernel
@@ -89,6 +90,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMOFF += all_func_returns,indenting,no_if_block,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rpcsec/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rpcsec/Makefile	Mon Jan  7 13:09:37 2019
@@ -25,11 +25,9 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the kernel rpcsec module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	intel implementation architecture dependent
-#
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -71,6 +69,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/auth_des.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rsm/Makefile	Mon Jan  7 13:09:37 2019
+++ new/usr/src/uts/intel/rsm/Makefile	Mon Jan  7 13:09:37 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the rsm kernel agent 
@@ -81,6 +82,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/rts/Makefile	Mon Jan  7 13:09:38 2019
+++ new/usr/src/uts/intel/rts/Makefile	Mon Jan  7 13:09:38 2019
@@ -24,10 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the rts IP driver
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -77,6 +74,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+$(OBJS_DIR)/rtsddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/s1394/Makefile	Mon Jan  7 13:09:38 2019
+++ new/usr/src/uts/intel/s1394/Makefile	Mon Jan  7 13:09:38 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the s1394 kernel module.
@@ -83,6 +84,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sata/Makefile	Mon Jan  7 13:09:38 2019
+++ new/usr/src/uts/intel/sata/Makefile	Mon Jan  7 13:09:38 2019
@@ -23,7 +23,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 # uts/intel/io/sata/Makefile
 #
@@ -91,6 +93,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/scsa1394/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsa1394/Makefile	Mon Jan  7 13:09:39 2019
@@ -22,7 +22,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree.
 #
@@ -65,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/sbp2_driver.o := SMOFF += indenting
+
 #	Default build targets.
 #
 .KEEP_STATE:
--- old/usr/src/uts/intel/scsa2usb/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsa2usb/Makefile	Mon Jan  7 13:09:39 2019
@@ -25,9 +25,7 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
-#	This makefile drives the production of the scsa2usb driver
-#	kernel module. intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -76,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/scsa2usb.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/scsi/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsi/Makefile	Mon Jan  7 13:09:39 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the scsi kernel module.
@@ -75,6 +76,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/scsi_vhci/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsi_vhci/Makefile	Mon Jan  7 13:09:39 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of SCSI vHCI Driver
@@ -52,6 +53,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMATCH=off
+
 #
 # Define targets.
 #
--- old/usr/src/uts/intel/sd/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/sd/Makefile	Mon Jan  7 13:09:39 2019
@@ -24,10 +24,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the sd
-#	kernel module.
-#
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +71,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+SMOFF += index_overflow,shift_to_zero,signed
+
 #
 # Depends on scsi and cmlb
 #
--- old/usr/src/uts/intel/sda/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/sda/Makefile	Mon Jan  7 13:09:39 2019
@@ -22,7 +22,9 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 # uts/intel/sda/Makefile
 #
@@ -76,6 +78,9 @@
 LDFLAGS		+= -dy -Ndrv/blkdev -B reduce -M $(MAPFILE)
 CTFMRGFLAGS	+= -f
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sfe/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/sfe/Makefile	Mon Jan  7 13:09:40 2019
@@ -22,7 +22,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	This makefile drives the production of NS/SiS
 #	Fast Ethernet (SFE) driver module in intel systems
@@ -78,6 +80,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 # Driver depends on MAC & IP
 #
--- old/usr/src/uts/intel/sfxge/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/sfxge/Makefile	Mon Jan  7 13:09:40 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 UTSBASE		= ../..
 
@@ -52,6 +53,10 @@
 #
 LDFLAGS		+= -dy -N misc/mac
 
+# needs work
+$(OBJS_DIR)/sfxge_ev.o := SMOFF += index_overflow
+SMOFF += all_func_returns
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/smbfs/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/smbfs/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the smbfs (Server 
-#	message block file system) kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -70,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns,signed,deref_check
+
 # The mb_put/md_get functions are intentionally used with and without
 # return value checks, so filter those out like LGREP.2 does.
 LGREP.nsmb =	egrep -v ' ignored: (mb_init|mb_put|md_get)'
--- old/usr/src/uts/intel/smbios/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/smbios/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,8 +24,9 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright (c) 2018, Joyent, Inc.
 
+
 UTSBASE	= ../..
 
 MODULE = smbios
@@ -40,6 +41,9 @@
 LINT_TARGET = $(MODULE).lint
 INSTALL_TARGET = $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
+# needs work
+SMOFF += signed_integer_overflow_check
+
 .KEEP_STATE:
 
 def: $(DEF_DEPS)
--- old/usr/src/uts/intel/smbsrv/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/smbsrv/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,6 +24,7 @@
 #
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the cifs server file system
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sockfs/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/sockfs/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the sockfs file system
@@ -93,6 +94,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sockpfp/Makefile	Mon Jan  7 13:09:41 2019
+++ new/usr/src/uts/intel/sockpfp/Makefile	Mon Jan  7 13:09:41 2019
@@ -22,11 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the nca driver 
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sol_ofs/Makefile	Mon Jan  7 13:09:41 2019
+++ new/usr/src/uts/intel/sol_ofs/Makefile	Mon Jan  7 13:09:41 2019
@@ -21,8 +21,9 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -64,6 +65,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+$(OBJS_DIR)/sol_cma.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sol_ucma/Makefile	Mon Jan  7 13:09:41 2019
+++ new/usr/src/uts/intel/sol_ucma/Makefile	Mon Jan  7 13:09:41 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -64,6 +64,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
+# needs work
+SMOFF += all_func_returns,logical_instead_of_bitwise
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sol_uverbs/Makefile	Mon Jan  7 13:09:43 2019
+++ new/usr/src/uts/intel/sol_uverbs/Makefile	Mon Jan  7 13:09:43 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -64,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# really broken
+SMOFF += logical_instead_of_bitwise,or_vs_and
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/spdsock/Makefile	Mon Jan  7 13:09:44 2019
+++ new/usr/src/uts/intel/spdsock/Makefile	Mon Jan  7 13:09:44 2019
@@ -23,11 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the spdsock driver 
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -73,6 +69,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/spdsockddi.o := SMOFF += index_overflow
+$(OBJS_DIR)/spdsock.o := SMOFF += no_if_block
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/specfs/Makefile	Mon Jan  7 13:09:44 2019
+++ new/usr/src/uts/intel/specfs/Makefile	Mon Jan  7 13:09:44 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the specfs file system
@@ -75,6 +76,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/specvnops.o := SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/spppcomp/Makefile	Mon Jan  7 13:09:44 2019
+++ new/usr/src/uts/intel/spppcomp/Makefile	Mon Jan  7 13:09:44 2019
@@ -25,11 +25,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the spppcomp STREAMS 
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += indenting
+
 #
 # Depends on sppp
 #
--- old/usr/src/uts/intel/srpt/Makefile	Mon Jan  7 13:09:45 2019
+++ new/usr/src/uts/intel/srpt/Makefile	Mon Jan  7 13:09:45 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the srpt pseudo-driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -64,6 +63,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+$(OBJS_DIR)/srpt_stp.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/st/Makefile	Mon Jan  7 13:09:45 2019
+++ new/usr/src/uts/intel/st/Makefile	Mon Jan  7 13:09:45 2019
@@ -24,11 +24,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the st driver
-#	kernel module.
-#
-#	intel implementation architecture independent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -75,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 # Depends on scsi
 #
--- old/usr/src/uts/intel/stmf/Makefile	Mon Jan  7 13:09:46 2019
+++ new/usr/src/uts/intel/stmf/Makefile	Mon Jan  7 13:09:46 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the stmf driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -58,6 +57,9 @@
 MODSTUBS_DIR	 = $(OBJS_DIR)
 CERRWARN	+= -erroff=E_STATEMENT_NOT_REACHED
 
+# needs work
+SMATCH=off
+
 C99LMODE=	-Xc99=%all
 
 #
--- old/usr/src/uts/intel/strategy/Makefile	Mon Jan  7 13:09:46 2019
+++ new/usr/src/uts/intel/strategy/Makefile	Mon Jan  7 13:09:46 2019
@@ -25,6 +25,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the strategy "misc"
@@ -53,6 +54,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/strategy.o := SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/tavor/Makefile	Mon Jan  7 13:09:47 2019
+++ new/usr/src/uts/intel/tavor/Makefile	Mon Jan  7 13:09:47 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the tavor InfiniBand module
-#
-#	intel architecture dependent
-#
-# uts/intel/tavor/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -86,6 +81,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tcp/Makefile	Mon Jan  7 13:09:47 2019
+++ new/usr/src/uts/intel/tcp/Makefile	Mon Jan  7 13:09:47 2019
@@ -24,11 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the tcp driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -77,6 +73,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip -Ncrypto/md5 -Nfs/sockfs
 
+# needs work
+$(OBJS_DIR)/tcpddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tcp6/Makefile	Mon Jan  7 13:09:47 2019
+++ new/usr/src/uts/intel/tcp6/Makefile	Mon Jan  7 13:09:47 2019
@@ -23,12 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the tcp6 driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -51,6 +46,9 @@
 IP_CHECK_OBJS	= $(IP_OBJS:ipddi.o=ip.o)
 EXTRA_CHECK_OBJS = $(IP_CHECK_OBJS:%=../ip/$(OBJS_DIR)/%)
 
+# needs work
+SMOFF += index_overflow
+
 #
 #	Include common rules.
 #
--- old/usr/src/uts/intel/timerfd/Makefile	Mon Jan  7 13:09:48 2019
+++ new/usr/src/uts/intel/timerfd/Makefile	Mon Jan  7 13:09:48 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2015 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -34,6 +34,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/timod/Makefile	Mon Jan  7 13:09:48 2019
+++ new/usr/src/uts/intel/timod/Makefile	Mon Jan  7 13:09:48 2019
@@ -24,13 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the timod streams kernel
-#	module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -65,6 +59,9 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tl/Makefile	Mon Jan  7 13:09:49 2019
+++ new/usr/src/uts/intel/tl/Makefile	Mon Jan  7 13:09:49 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the tl driver
@@ -77,6 +78,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tlimod/Makefile	Mon Jan  7 13:09:49 2019
+++ new/usr/src/uts/intel/tlimod/Makefile	Mon Jan  7 13:09:49 2019
@@ -24,13 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the tlimod
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -57,6 +51,9 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tmpfs/Makefile	Mon Jan  7 13:09:49 2019
+++ new/usr/src/uts/intel/tmpfs/Makefile	Mon Jan  7 13:09:49 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the tmpfs file system
@@ -69,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+$(OBJS_DIR)/tmp_vnops.o := SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tnf/Makefile	Mon Jan  7 13:09:50 2019
+++ new/usr/src/uts/intel/tnf/Makefile	Mon Jan  7 13:09:50 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	tnf (kernel trace driver) Makefile
@@ -68,6 +69,10 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
+
+# needs work
+$(OBJS_DIR)/tnf_writer.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tpm/Makefile	Mon Jan  7 13:09:50 2019
+++ new/usr/src/uts/intel/tpm/Makefile	Mon Jan  7 13:09:50 2019
@@ -21,9 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the TPM driver kernel
-#	module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 UTSBASE	= $(SRC)/uts
 
@@ -65,6 +63,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/tpm.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/trill/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/trill/Makefile	Mon Jan  7 13:09:51 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the TRILL socket kernel
-#	module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -50,6 +46,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/udfs/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/udfs/Makefile	Mon Jan  7 13:09:51 2019
@@ -23,11 +23,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the udfs file system
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -83,6 +79,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/udmf/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/udmf/Makefile	Mon Jan  7 13:09:51 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -47,6 +47,9 @@
 LINTTAGS	+= -erroff=E_FUNC_RET_ALWAYS_IGNOR2
 LINTTAGS	+= -erroff=E_FUNC_SET_NOT_USED
 
+# needs work
+$(OBJS_DIR)/udmf_usbgem.o := SMOFF += indenting
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/udp/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/udp/Makefile	Mon Jan  7 13:09:51 2019
@@ -24,10 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the udp driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -68,6 +65,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip -Nfs/sockfs
 
+# needs work
+$(OBJS_DIR)/udpddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/udp6/Makefile	Mon Jan  7 13:09:52 2019
+++ new/usr/src/uts/intel/udp6/Makefile	Mon Jan  7 13:09:52 2019
@@ -23,12 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the udp6 driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -61,6 +56,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/udp -Ndrv/ip -Ndrv/ip6
 
+# needs work
+SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ufs/Makefile	Mon Jan  7 13:09:53 2019
+++ new/usr/src/uts/intel/ufs/Makefile	Mon Jan  7 13:09:53 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the ufs file system
@@ -82,6 +83,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/upf/Makefile	Mon Jan  7 13:09:53 2019
+++ new/usr/src/uts/intel/upf/Makefile	Mon Jan  7 13:09:53 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -41,6 +41,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+$(OBJS_DIR)/upf_usbgem.o := SMOFF += all_func_returns
+
 LINTTAGS	+= -erroff=E_FUNC_VAR_UNUSED
 LINTTAGS	+= -erroff=E_FUNC_ARG_UNUSED
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
--- old/usr/src/uts/intel/ural/Makefile	Mon Jan  7 13:09:54 2019
+++ new/usr/src/uts/intel/ural/Makefile	Mon Jan  7 13:09:54 2019
@@ -22,15 +22,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
-# This makefile drives the production of the ural driver kernel module.
-#
-# i86pc architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -60,6 +54,9 @@
 #
 LDFLAGS		+= -dy -Nmisc/mac -Nmisc/net80211 -Nmisc/usba
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/urtw/Makefile	Mon Jan  7 13:09:54 2019
+++ new/usr/src/uts/intel/urtw/Makefile	Mon Jan  7 13:09:54 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the urtw driver kernel module.
@@ -64,6 +65,9 @@
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check,no_if_block,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/usb_ac/Makefile	Mon Jan  7 13:09:55 2019
+++ new/usr/src/uts/intel/usb_ac/Makefile	Mon Jan  7 13:09:55 2019
@@ -24,11 +24,7 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
-# uts/intel/usb_ac/Makefile
-#
-#	This makefile drives the production of the usb_ac driver
-#	kernel module. Intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 
 #
@@ -68,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/usb_ac.o := SMOFF += deref_check,indenting,testing_index_after_use
+
 #
 # depends on misc/usba
 #
--- old/usr/src/uts/intel/usba/Makefile	Mon Jan  7 13:09:55 2019
+++ new/usr/src/uts/intel/usba/Makefile	Mon Jan  7 13:09:55 2019
@@ -23,9 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the usba kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -52,6 +50,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+SMOFF += all_func_returns,deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/usbecm/Makefile	Mon Jan  7 13:09:56 2019
+++ new/usr/src/uts/intel/usbecm/Makefile	Mon Jan  7 13:09:56 2019
@@ -25,8 +25,8 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
-#	This makefile drives the production of Abstract Control Model of
-#	USB Communication Devices Class dirver.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -54,6 +54,9 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
+# needs work
+SMOFF += deref_check
+
 .KEEP_STATE:
 
 all:		$(ALL_DEPS)
--- old/usr/src/uts/intel/usbgem/Makefile	Mon Jan  7 13:09:56 2019
+++ new/usr/src/uts/intel/usbgem/Makefile	Mon Jan  7 13:09:56 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -49,6 +49,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMOFF += all_func_returns
+
 LINTTAGS	+= -erroff=E_FUNC_VAR_UNUSED
 LINTTAGS	+= -erroff=E_FUNC_ARG_UNUSED
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
--- old/usr/src/uts/intel/usbms/Makefile	Mon Jan  7 13:09:57 2019
+++ new/usr/src/uts/intel/usbms/Makefile	Mon Jan  7 13:09:57 2019
@@ -23,9 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the usbms driver kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -73,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/usbsacm/Makefile	Mon Jan  7 13:09:58 2019
+++ new/usr/src/uts/intel/usbsacm/Makefile	Mon Jan  7 13:09:58 2019
@@ -23,10 +23,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	This makefile drives the production of Abstract Control Model of
-#	USB Communication Devices Class dirver.
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -48,6 +47,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/usbser/Makefile	Mon Jan  7 13:09:59 2019
+++ new/usr/src/uts/intel/usbser/Makefile	Mon Jan  7 13:09:59 2019
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/usbser/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 
 #
@@ -65,6 +65,9 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all:		$(ALL_DEPS)
--- old/usr/src/uts/intel/usbvc/Makefile	Mon Jan  7 13:10:00 2019
+++ new/usr/src/uts/intel/usbvc/Makefile	Mon Jan  7 13:10:00 2019
@@ -25,6 +25,7 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the usbvc driver kernel module.
@@ -74,6 +75,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/virtio/Makefile	Mon Jan  7 13:10:00 2019
+++ new/usr/src/uts/intel/virtio/Makefile	Mon Jan  7 13:10:00 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -59,6 +60,9 @@
 #
 CFLAGS += $(CCVERBOSE)
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vnic/Makefile	Mon Jan  7 13:10:01 2019
+++ new/usr/src/uts/intel/vnic/Makefile	Mon Jan  7 13:10:01 2019
@@ -22,6 +22,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -57,6 +59,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vr/Makefile	Mon Jan  7 13:10:02 2019
+++ new/usr/src/uts/intel/vr/Makefile	Mon Jan  7 13:10:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 # This makefile drives the production of the VIA Rhine Ethernet
 # (vr) driver module in intel systems
@@ -59,6 +60,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += array_condition
+
 #
 # Driver depends on GLD
 #
--- old/usr/src/uts/intel/vuid2ps2/Makefile	Mon Jan  7 13:10:03 2019
+++ new/usr/src/uts/intel/vuid2ps2/Makefile	Mon Jan  7 13:10:03 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuid2ps2 streams kernel
@@ -53,6 +54,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/vuid3ps2/Makefile	Mon Jan  7 13:10:04 2019
+++ new/usr/src/uts/intel/vuid3ps2/Makefile	Mon Jan  7 13:10:04 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuid3ps2 streams kernel
@@ -53,6 +54,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/vuidm3p/Makefile	Mon Jan  7 13:10:04 2019
+++ new/usr/src/uts/intel/vuidm3p/Makefile	Mon Jan  7 13:10:05 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuidm3p streams kernel
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vuidm4p/Makefile	Mon Jan  7 13:10:05 2019
+++ new/usr/src/uts/intel/vuidm4p/Makefile	Mon Jan  7 13:10:05 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuidm4p streams kernel
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vuidm5p/Makefile	Mon Jan  7 13:10:06 2019
+++ new/usr/src/uts/intel/vuidm5p/Makefile	Mon Jan  7 13:10:06 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuidm5p streams kernel
@@ -61,6 +62,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/wc/Makefile	Mon Jan  7 13:10:07 2019
+++ new/usr/src/uts/intel/wc/Makefile	Mon Jan  7 13:10:07 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the wc driver
-#	kernel module.
-#
-#	intel implementation architecture independent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -63,6 +58,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/xge/Makefile	Mon Jan  7 13:10:08 2019
+++ new/usr/src/uts/intel/xge/Makefile	Mon Jan  7 13:10:08 2019
@@ -23,9 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the Neterion Xframe
-#	10G Ethernet (XGE) driver module in x86 systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -112,6 +110,9 @@
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += indenting,all_func_returns,no_if_block
+
 #
 #
 #	Default build targets.
--- old/usr/src/uts/intel/zfs/Makefile	Mon Jan  7 13:10:09 2019
+++ new/usr/src/uts/intel/zfs/Makefile	Mon Jan  7 13:10:09 2019
@@ -29,6 +29,7 @@
 #
 # Copyright (c) 2016 by Delphix. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -93,6 +94,18 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += all_func_returns,indenting
+$(OBJS_DIR)/llex.o := SMOFF += index_overflow
+$(OBJS_DIR)/metaslab.o := SMOFF += no_if_block
+$(OBJS_DIR)/zfs_vnops.o := SMOFF += signed
+# needs work
+$(OBJS_DIR)/zvol.o := SMOFF += deref_check,signed
+
+# false positives
+$(OBJS_DIR)/zfs_ctldir.o := SMOFF += strcpy_overflow
+$(OBJS_DIR)/zfs_ioctl.o := SMOFF += strcpy_overflow
+
 #
 #	Default build targets.
 #
